<!DOCTYPE html>
<html lang="fr">
  <!--
    Seyes est une application libre
    sous licence GNU GPL
    écrite par Arnaud Champollion -->
  <head>
{% include 'templates/favicon.html' %}
{% include 'templates/global.css.html' %}

    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">  
    <link href="style.css?version=COMMITHASH" rel="stylesheet" type="text/css">
    <link rel="icon" href="images/favicon.ico" sizes="any" />
    <title>Seyes</title>
  </head>

    <body>
{% include 'templates/widget_back_menu.html' %}

        
      <audio id="audio" src="sons/noces_de_figaro.mp3"></audio>
      <button id="bouton-audio" class="draggable bouton-musique new" onclick="playAudio(event)" title="Amadeus Morzart - Les noces de Figaro (ouverture), interprétée par l'Orchestre philarmonique de Prague, Licence Public Domain"><div class="draggable_item"></div></button>
      <button id="bouton-stop" class="draggable bouton-musique" onclick="stopAudio(event)"><div class="draggable_item"></div></button>

        <div id="marge">

          <div id="voile_marge" class="voile"></div>

          <div id="marge1">
            <div class="texte" id="texte_marge" contenteditable="true"></div>
          </div>

          <div id="marge2">
            <div class="texte" id="texte_marge_complementaire" contenteditable="true"></div>
          </div>

        </div>

        <div id="page">
            <div id="voile_page" class="voile"></div>
            <div id="graphismes"></div>

            <div contenteditable="true" class="texte" id="texte_principal" spellcheck="false">Modifiez-moi.</div>
            <div class="texte" id="texte_apropos" style="display: none;">
              Seyes affiche une ╰age quadrillée de type cahier, et permet d'y ajouter du texte.
              <br><br>
              AA Cursive est une police cursive créée par A. Renaudin partagée sous licence <span class="arial">OFL</span>.
              <br><br>
              Open Dyslexic est une police d'écriture sous licence libre destinée à faciliter la lecture pour les personnes dyslexiques. Elle a été créée par Abelardo Gonzalez.
              <br><br>
              <a href="https://www.jeanboyault.fr/belle-allure/" target="_blank">Belle Allure</a> est une police d'écriture cursive créée par Jean Boyault, merci à lui pour l'autorisation de l'utiliser sur Seyes.
              <br><br>
              Cette application est libre et gratuite. Elle est développée par Arnaud Champollion, sous licence <span class="arial">GNU GPL</span>.
              <a class="souligne rouge" href="https://forge.apps.education.fr/educajou/seyes">Page du projet sur la '<span class="arial">Forge des Communs Numériques</span></a>
            </div>
        </div>
        <div id="boutons" class="draggable">
          <button type="button" id="nouveau" title="Nouveau" onclick="nouveauTexte()"></button>
          <button type="button" id="date" title="Date" onclick="changeDate()"></button>
          <button type="button" id="copielien" title="Exporter comme lien" onclick="menu_copier_lien()"></button>
          <button type="button" id="fullscreen" title="Plein écran / Réduire" onclick="pleinecran()"></button>
          <button type="button" id="zoom_out" title="Diminuer la taille" onclick="zoom(-10)"></button>
          <button type="button" id="zoom_in" title="Augmenter la taille" onclick="zoom(10)"></button>

          <div id="zone_choix_carreaux">
            <button type="button" id="carreaux" class="deroule_carreaux" onclick="ouvreBoutonsCarreau(event)">
            </button>
            <div id="boutons_carreaux" class="hide deroule_carreaux">            
              <button type="button" id="carreau_seyes" class="deroule_carreaux" onclick="changeCarreaux('seyes')"></button>
              <button type="button" id="carreau_seyes_noir" class="deroule_carreaux" onclick="changeCarreaux('seyes_noir')"></button>
              <button type="button" id="carreau_seyes_gris" class="deroule_carreaux" onclick="changeCarreaux('seyes_gris')"></button>
              <button type="button" id="carreau_simple_ligne" class="deroule_carreaux" onclick="changeCarreaux('simple_ligne')"></button>
              <button type="button" id="carreau_double_ligne" class="deroule_carreaux" onclick="changeCarreaux('double_ligne')"></button>
              <button type="button" id="carreau_petit" class="deroule_carreaux" onclick="changeCarreaux('petit')"></button>
              <button type="button" id="carreau_terre" class="deroule_carreaux" onclick="changeCarreaux('terre')"></button>
              <button type="button" id="carreau_cahier_de_textes" class="deroule_carreaux" onclick="changeCarreaux('cahier_de_textes')"></button>
            </div>
          </div>


          <span id="opacite"><input type="range" id="reglage_opacite"  min="0" max="1" value="1" step="0.05"  oninput="opacite(this.value)" /></span>         
          <span id="zone_couleur">
           <button type="button" id="lance_couleur" title="Changer la couleur" onclick="ouvreCouleurs()"></button>
           <button type="button" id="applique_couleur" title="Appliquer la couleur" onclick="couleurs(choix_couleurs.value)"></button>
          </span>
          <input style="display: none;" type="color" id="choix_couleurs" title="Choisir la couleur" value="#1515db" oninput="couleurs(this.value)"></input>
          <button type="button" id="bouton_ligatures" title="Améliorer les ligatures" onclick="ligatures()" >
            
          </button>
          <div id="zone_boutons_soulignement">
            <button type="button" id="souligne" onclick="souligne()">
              <div id="bouton_deroule_souligne" class="deroule_souligne" onclick="ouvreBoutonsSouligne(event)"></div>
            </button>
            <div id="boutons_soulignement" class="hide deroule_souligne">            
              <button type="button" id="souligne_rouge" class="deroule_souligne" onclick="souligne('rouge')"></button>
              <button type="button" id="souligne_bleu" class="deroule_souligne" onclick="souligne('bleu')"></button>
              <button type="button" id="souligne_vert" class="deroule_souligne" onclick="souligne('vert')"></button>
              <button type="button" id="souligne_rose" class="deroule_souligne" onclick="souligne('rose')"></button>
              <button type="button" id="souligne_noir" class="deroule_souligne" onclick="souligne('noir')"></button>
              <button type="button" id="souligne_jaune" class="deroule_souligne" onclick="souligne('jaune')"></button>
              <button type="button" id="souligne_vide" class="deroule_souligne" onclick="souligne('vide')"></button>
            </div>
          </div>
          <button type="button" id="choix_police" title="Changer la police" onclick="menu_police()"></button>
          <label for="inputFichier" id="bouton_image" title="Ajouter une image"></label>
          <input type="file" id="inputFichier" name="inputFichier" accept=".jpg, .jpeg, .png .svg" oninput="cree_image(event)"/>
          <button type="button" id="regle" title="Tracer des traits droits" onclick="activeRegle()"></button>
          <button type="button" id="a_propos" title="À propos..." onclick="a_propos()"></button>
          <input type="color" id="inputCouleurTrait" style="display: none;" oninput="changeCouleurTrait(this.value)">
        </div>



        <div id="zone_menu_copie_lien" style="display: none;" class="lightbox draggable">
          Pour exporter votre page, copiez le lien ci-dessous.
          <div id="zone_lien"></div>
          <button type="button" id="copier" style="font-size: 20px;" title="Copier" onclick="copier()">Copier</button>
          <button type="button" id="ferme_menu_copie_lien" style="font-size: 20px;" title="Fermer" onclick="ferme_menu_copie_lien()">Fermer</button>
        </div>

        <div id="zone_menu_police" style="display: none;" class="lightbox draggable">
          <h1 class="draggable_item">Police</h1>
          <form id="boutons_police" class="draggable_item">

            <input type="radio" class="draggable_item" id="bouton0" name="police" value="Arial" onchange="change_police(this.value)">
            <label for="bouton0" class="draggable_item">Arial</label><br>
            
            <input type="radio" class="draggable_item" id="bouton1" name="police" value="AA Cursive" onchange="change_police(this.value)">
            <label for="bouton1" class="draggable_item">AA Cursive</label><br>
            
            <input type="radio" class="draggable_item" id="bouton2" name="police" value="Open Dyslexic" onchange="change_police(this.value)">
            <label for="bouton2" class="draggable_item">Open Dyslexic</label><br>

            <input type="radio" class="draggable_item" id="bouton3" name="police" value="Belle Allure GS" onchange="change_police(this.value)">
            <label for="bouton3" class="draggable_item">Belle Allure GS</label><br>
            
            <input type="radio" class="draggable_item" id="bouton4" name="police" value="Belle Allure CE" onchange="change_police(this.value)">
            <label for="bouton3" class="draggable_item">Belle Allure CE</label><br>

            <input type="radio" class="draggable_item" id="bouton5" name="police" value="Belle Allure CM" onchange="change_police(this.value)">
            <label for="bouton3" class="draggable_item">Belle Allure CM</label><br>
          
            <input type="radio" class="draggable_item" id="bouton6" name="police" value="Acceseditionscursive" onchange="change_police(this.value)">
            <label for="bouton3" class="draggable_item">Acces Editions Élémentaire *</label><br><br>
          
          <i class="draggable_item">* Cette police n'est pas incluse dans Seyes. Pour l'utiliser, téléchargez-la sur le site de son éditeur puis installez-la sur votre ordinateur.</i>
          <br>
          <a href="https://acces-editions.com/policeAE" target="_blank">Lien Accès élémentaire</a>

          
        
        </form>
          <br>
          <button type="button" id="ferme_menu_police" style="font-size: 20px;" title="Fermer" onclick="ferme_menu_police()">Fermer</button>
        </div>

        <div id="confirmation-nouveau" style="display: none;" class="lightbox draggable">
        Voulez-vous effacer tout le contenu ?
        <br>
        <button type="button" id="oui" style="font-size: 20px;" title="oui" onclick="ferme_confirmation();raz()">OUI</button>
        <button type="button" id="non" style="font-size: 20px;" title="non" onclick="ferme_confirmation()">NON</button>

        </div>



        <script src="script.js?version=COMMITHASH"></script>
   
    {% include 'templates/global.js.html' %}
</body>
</html>